==================================
  OdbcJdbc 2.0
==================================
150)	- current BUILDNUM_VERSION set 150 RC2 ( 08 Nov 2010 )
	- added build support in Visual Studio 2008 
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-80, http://tracker.firebirdsql.org/browse/ODBC-64
	 "Connecting from MS-Access to Firebird database via ODBC driver delievers faulty results in MEMO fields"
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-85,
	 "64-bit ODBC driver - null values in database throws arithemtic overflow exception"
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-87,
	 "64-bit ODBC driver crashes accessing Excel 64bit 2010"
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-71,
	 "ODBC driver is not compatible with .NET 2.0 SP2 and .NET 3.5 SP1"
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-78,
	 "Error in parsing transaction settings"
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-57,
	 "Report cardinality for indexes through SQLStatistics"
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-58,
	 "SQLStatistics function does not provide information about expression indexes" 

149)	- current BUILDNUM_VERSION set 149 ( 05 Mar 2008 )
	- added *.pdb and *.lib files into Windows distribution  
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-50, http://tracker.firebirdsql.org/browse/ODBC-53
	  "Data appears sometimes wrong in Access/Excel, garbage symbols in varchars"
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-51,
	  "build problems with gcc-4.3.2", thanks to Dmitry Starodubov
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-52,
	  "Cannot include a comma inside a delimited string as a SP parameter"

148)	- current BUILDNUM_VERSION set 148 RC1 ( 18 Nov 2008 )
	- implemented URL: http://tracker.firebirdsql.org/browse/ODBC-41,
	  "Reimplement ODBC {fn IFNULL} function using Firebird's COALESCE function" 
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-49,
	  "Output parameter stops work after first commit"
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-38,
	  "Parameters data truncation from SQL_C_CHAR to SQL_INTEGER or SQL_DECIMAL"
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-39,
	  "SQLForeignKey inconsistent schema use: FKTABLE_SCHEM should return NULL not SYSDBA" 

147)	- current BUILDNUM_VERSION set 147 ( 21 Sep 2008 )
	- added Linux x64 support, thanks to Dmitry Starodubov

146)	- current BUILDNUM_VERSION set 146 ( 14 Sep 2008 )
	- added Windows x64 support, thanks to Alexander Potapchenko
	- replaced OdbcFb32 to OdbcFb 
	- fixed usage of old hard coded "OdbcJdbcSetup" in the driver code
	- installation corrections. Now if you install driver DLL by hand using regsvr32.exe with key "/i" 
	  then it will be installed into system directory. If key "/i" is not used then driver will be registered in the
	  directory where it is located
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-23, 
	  "Log file not rendered correctly by Internet Explorer", thanks to Alexander Potapchenko
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-32,
	  "Access-related multi DB problem", thanks to Alexander Potapchenko

145)	- current BUILDNUM_VERSION set 145 ( 10 Sep 2008 )
	- Fix ODBC driver to work correctly with Microsoft Project 2003. This involves the following changes:
	  - Implement basic support for SQL_GUID data type
	  - Implement partial column binding. Previously, if NULL buffer pointer and non-null 
	    indicator variable were passed to SQLBindCol the driver crashed.
	  These changes make Project 2003 save and load projects from Firebird databases correctly
	  thanks to Nikolay Samofatov
	- Re-organize cvs tree for ODBC driver
	  Make branch naming conform more closely to standard used for Firebird tree
	  thanks to Paul Reeves
	- Fix 'invalid parameter in transaction parameter block' error with Firebird 2.1
	  thanks to Nikolay Samofatov
	- Fix DSN configuration dialog crashes due to double-free bugs in users management code
	  thanks to Nikolay Samofatov

144)	- current BUILDNUM_VERSION set 144 ( 5 Sep 2007 )
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-30,
	 "Type conversion bug", thanks Jorge Andres Brugger, 
	  branch v2-0-beta


143)	- current BUILDNUM_VERSION set 143 ( 26 Aug 2007 )
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-29,
	 "status_exception thrown and caught on every access due to trying 
	  to close already closed cursor", branch v2-0-beta
	- is updated the documentation for the version OdbcFb32
	  ver 2.0, branch v2-0-beta
	- is executed replacement of functions for the greater safety
	  for MsVC8 and later. Or in other words, has removed
	  the warning, which gives out MsVC8, branch v2-0-beta
	- the schema of build of a package is briefly described,
	  branch v2-0-beta
	- added new source files for build from MsVC8,  branch v2-0-beta
	- improvement, Firebird do not supports catalogs and query
	  SQLTables (hstmt2, "%", 0, NULL, 0, NULL, SQL_NTS, NULL, 0);
	  return empty rowset. However in this case we carry out
	  the standard ODBC API also we lose much in use new
	  opportunities Ms Office. On this we shall return
	  1 rows, where catalog name it's DSN., 
	  branch v2-0-beta
	- fix bug, after transformation OdbcJdbc - > OdbcFb32
	  in OdbcJdbc.def the superfluous communications are added,
	  branch v2-0-beta
	 - fix bug, after transformation OdbcJdbc - > OdbcFb32
          the reference createConnection was gone, we restore it,
          branch v2-0-beta
	- fix bug, after performance SQLPrepare the status of the operator should be
          typePrepare, however there still stood typeNone, 
	  branch v2-0-beta
	- fix warning, is improved processing a line of connection,
          In a case when nameKey == 0 we interrupt processing,
	  branch v2-0-beta
	- fix bug, the function is incorrectly named, replace LCASE to LOWER, 
	  thanks "J.D. McGregor", branch v2-0-beta
	- fixed bug(or not bug),ignore for WideCharToMultiByte a flag that
	  indicates whether a default character was used. The flag is set
	  to TRUE if one or more wide characters in the source string cannot 
	  be represented in the specified code page, look (16 Jan 2007)
	  [Firebird-odbc-devel] Chinese, branch v2-0-beta
	- fixed bug, URL: http://tracker.firebirdsql.org/browse/ODBC-18,
	 "Invalide filename pased to FileOpen" message trying to browse for FDB file,
	  thanks Jorge Andres Brugger, branch v2-0-beta
	- fixed URL: http://tracker.firebirdsql.org/browse/ODBC-19,
	  "Rename "OK" Button to "Close" in Services window"
	  thanks Jorge Andres Brugger, branch v2-0-beta
	- fix bug, removed erroneous use inline, thanks Toon,
	  branch v2-0-beta
	- fix warning, format of numbers for printf, thanks Toon,
	  branch v2-0-beta
	- load new makefile for build with VAC.aix, thanks Toon,
	  branch v2-0-beta
	- changed default value for "Safe Thread" from FALSE to TRUE,
	  when connect string ,  branch v2-0-beta
	- fix bug, added entrypoint DllRegisterServer for BCC55,
	  thanks Sasa Zeman,  branch v2-0-beta

142)	- current BUILDNUM_VERSION set 142 ( 25 Jul 2006 )
	- fix bug, added define WIN64 for compile resources file, branch v2-0-beta
	- fix collision name, replace FbOdbc(use Easysoft) to OdbcFb32.dll,
	  branch v2-0-beta
	- fix bug, for execute SQLBulkOperations ( hstmt , SQL_ADD); use local
	  transaction only if the SQL_ATTR_AUTOCOMMIT set ON, only
	  collisions transactions in this case are excluded, thanks Bill Lam,
	  branch v2-0-beta
	- fix bug, if the changed on the fly bind column after call SQLBulkOperations ( hstmt , SQL_ADD);
	  the next call uses old addresses of connection, thanks Bill Lam, branch v2-0-beta
	- fix bug,  values stored in numeric fields multiplied by <precission>
	  [ http://tracker.firebirdsql.org/browse/ODBC-16?page=all ],
          branch v2-0-beta

141)	- current BUILDNUM_VERSION set 141 ( 20 Jul 2006 )
	- load new makefile for build with WIN64 from MsSDK, branch v2-0-beta
	- changed source for build with WIN64 from MsSDK, branch v2-0-beta
	- changed default value for "Safe Thread" from FALSE to TRUE,
	  when create new DSN,  branch v2-0-beta
	- changed use Mutex to CriticalSections, for WinXP considerably
	  fast variant, branch v2-0-beta
	- DllRegisterServer shouldn't copy files to sys folder, only registry,
	  thanks Jorge Andres Brugger, branch v2-0-beta
	- removed keyword SETUP_PAGE_SIZE from configure DSN,
	  branch v2-0-beta

140)	- current BUILDNUM_VERSION set 140 ( 14 Jul 2006 )
	- re-configure project, replace FbOdbc and FbOdbcMT to
	  only FbOdbc and add new keyword SAFETHREAD and for DSN checkbox
          "Safe Thread", branch v2-0-beta
	- fix warn, changed to original type from void* to isc_db_handle,
	  branch v2-0-beta

139)	- current BUILDNUM_VERSION set 139 ( 3 Jul 2006 )
	- re-configure project, replace IscDbc,OdbcJdbc,OdbcJdbcSetup to
	  new name FbOdbc, branch v2-0-beta
	- fix bug, arrays of Parameter Values for INSERT statement
	  instead of IPD, APD for definition was used SQL_ATTR_PARAMS_PROCESSED_PTR
	  and SQL_ATTR_PARAM_STATUS_PTR, thanks Bill Lam,
	  branch v2-0-beta
	- fix bug, sqlgetinfo SQL_TXN_ISOLATION_OPTION is incorrect,
	  added info about a SQL_TXN_READ_UNCOMMITTED, thanks Bill Lam,
	  branch v2-0-beta
	- fix bug, transform SQL_ROWSET_SIZE to SQL_ATTR_PARAMSET_SIZE
	  for sqlbulkoperations+SQL_ADD, thanks Bill Lam, branch v2-0-beta
	- fix bug, Firebird Tracker Key: ODBC-13
	  After bug fix "Tracker Key: ODBC-5"; 
	  When ODBC return "SQL_NO_DATA_FOUND" ADO return an
	  error "Unspecified error".  branch v2-0-beta

138)	- current BUILDNUM_VERSION set 138 ( 28 Jun 2006 )
	- fix bug, (Installer)erroneous algorithm of definition of blocking of a file,
	  thanks Jorge Andres Brugger, branch v2-0-beta
	- load source for sqlbulkoperations+SQL_ADD, transfer list errors	
	  from internal statement to external statement, branch v2-0-beta
	- fix bug, call ODBCINSTGetProperties is used only UnixODBC from Linux,
	  branch v2-0-beta
	- fix bug, variable codePage is used only WIN32, branch v2-0-beta

137)	- current BUILDNUM_VERSION set 137 ( 27 Jun 2006 )
	- load source(Installer), to update the driver if it is in use,
	  thanks Bill Lam and Jorge Andres Brugger, branch v2-0-beta
	- fix discrepancy, property SQL_SERVER_NAME is changed,
	  now returns a name host server(remote or local), branch v2-0-beta
	- load source for sqlbulkoperations+SQL_ADD and local transaction,
	  branch v2-0-beta

136)	- current BUILDNUM_VERSION set 136 ( 21 Jun 2006 )
	- load source for sqlbulkoperations+SQL_ADD with column wise binding,
	  branch v2-0-beta
	- load source, for use Lock Timeout for WAIT Transactions, branch v2-0-beta
	- fix bug, replacement of the bad message about a error, if the bind column
	  more than is, thanks Jorge Andres Brugger, branch v2-0-beta

135)	- current BUILDNUM_VERSION set 135 ( 20 Jun 2006 )
	- load source(Installer), to update the driver if it is in use,
  	  branch v2-0-beta
	- load source for SQLColAttribute(SQL_DESC_NUM_PREC_RADIX),
	  branch v2-0-beta
	- load source for sqlbulkoperations+SQL_ADD, branch v2-0-beta
	- fix bug, Firebird Tracker Key: ODBC-5  SFID: 1449955# Submitted By: faridz
	  When executing an update sql statement using 
	  ::SQLExecDirect and no rows are affected by the update, 
	  the driver returns an SQLRETURN code SQL_SUCCESS. 
	  Should return SQL_NO_DATA_FOUND instead per ODBC spec. 
	  branch v2-0-beta
	- fix bug, Firebird Tracker Key: ODBC-4  SFID: 1442702# Submitted By: faridz,
	  Calling SQLGetInfo with SQL_CATALOG_TERM returns 
	  "system tables". Should returns "database". 
	  branch v2-0-beta
	- fix bug, Firebird Tracker Key: ODBC-3 SFID: 1418710# Submitted By: faridz,
	  Executing SQLTables with SQL_ALL_TABLE_TYPES resultset 
	  has 34 duplicate entries for SYSTEM TABLE and TABLE. 
	  Also missing VIEW table type, branch v2-0-beta
	- fix warning, replace type int to SQLUINTEGER, branch v2-0-beta
	- fix bug, the manifest XP styles was missed for CConnectDialog,
	  branch v2-0-beta

134)	- current BUILDNUM_VERSION set 134 ( 10 Jun 2006 )
	- fix bug, the control of length of data (type CHAR, VARCHAR) is added,
	  thanks Bill Lam, branch v2-0-beta

133)	- current BUILDNUM_VERSION set 133 ( 8 Jun 2006 )
	- fix bug, when reading character column using sqlgetdata, the last output
	  parameter is incorrect, thanks Bill Lam, branch v2-0-beta
	- fix bug, for "Firebird/InterBase(r) driver MT" changed SQL_DRIVER_NAME
	  to 'OdbcJdbcMT', thanks Bill Lam, branch v2-0-beta
	- fix bug, column default value, for the field is "", thanks Bill Lam,
	  branch v2-0-beta

132)	- current BUILDNUM_VERSION set 132 ( 6 Jun 2006 )
	- fix bug, unsuccessfully has chosen a type, replace DWORD to ULONG,
	  branch v2-0-beta
	- fix bug, the use sqlMultiple for correct positioning in data, branch v2-0-beta
	- fix bug, the use sqlMultiple for correct definition of memory under data,
	  branch v2-0-beta
	- fix bug, OctetLength should specify length in view of the ending '\0 ',
	  branch v2-0-beta
	- the property sqlMultiple is added, for correct definition of memory under data,
	  and positioning indata, branch v2-0-beta
	- load source for replace '(select ...) union (select ...)' 
	  to  ' select ...  union  select ... ', branch v2-0-beta
	- replace gethostname to GetComputerName, gethostname not the most
	  successful idea for Win32, branch v2-0-beta
	- fix bug, blob of 0 byte, when calling sqlgetdata to get it. the last output 
	  parameter is correctly 0, but the return value of sqlgetdata is never SQL_NO_DATA.,
	  thanks Bill Lam, branch v2-0-beta
	- the replace name sqlExecuteDirect to standart sqlExecDirect, branch v2-0-beta
	- fix bug, the error value for character length, it does not take into account
	  that multibyte string(UTF8), thanks Bill Lam, branch v2-0-beta
	- fix bug, SQL_IDENTIFIER_CASE was not correctly processed
	  for inquiries to the system tables, thanks Bill Lam, branch v2-0-beta
	- the behaviour SQL_DBMS_NAME is changed, now returns a name
	  database without version(example only 'Firebird' without 'Release 2.0'),
	  thanks Bill Lam, branch v2-0-beta
	- added wsock32.lib for build, it's call gethostname, branch v2-0-beta
	- the behaviour SQL_SERVER_NAME is changed, now returns a name
	  computer, thanks Bill Lam, branch v2-0-beta
	- use keyword is added   KEY_DSN_SENSITIVE and  KEY_DSN_AUTOQUOTED,
	  for SqlDriverConnect, branch v2-0-beta
	- fix technical bug, replace SETUP_QUOTED to SETUP_USESCHEMA,
	  branch v2-0-beta
	- use keyword is added   KEY_DSN_SENSITIVE and  KEY_DSN_AUTOQUOTED,
	  for SqlConfigDatasource, branch v2-0-beta

131)	- current BUILDNUM_VERSION set 131 ( 1 Jun 2006 )
	- load source for use UTF8, branch v2-0-beta
	- fix bug, DEFAULT CHARACTER not correctly was specified, branch v2-0-beta
	- the conclusion of the message('Unknown procedure') about a mistake
	  is improved, thanks Marcin Kuthan, branch v2-0-beta
	- fix bug, the mechanism of check of a symbol(' ','\t','\r') is improved,
	  for prepare SQL {?=call...}, branch v2-0-beta
	- fix bug, for SQLDriverConnect , when a flag that indicates 
	  whether the Driver Manager or driver must prompt for more 
	  connection information SQL_DRIVER_NOPROMPT, is no necessity
	  to carry out CConnectDialog, branch v2-0-beta
	- fix bug, for SQLBindParameter , when a type of parameter INPUT,
	  last argument is forbidden for changing in OdbcJdbc, branch v2-0-beta
	- fix bug, add new atributes for column SQL_DESC_OCTET_LENGTH,
	  branch v2-0-beta
	- the mechanism of loading fbclient.dll is improved,
	  thanks Adriano dos Santos Fernandes, branch v2-0-beta
	- add new keyword DROP_DB for use from SQLConfigDataSource
	  and SqlDriverConnect, branch v2-0-beta
	- key words TIMEOUT to SQLDriverConnect is added, branch v2-0-beta


130)	- current BUILDNUM_VERSION set 130 ( 13 Apr 2006 )
	- fix bug regress, after added use USESCHEMA,
	  namely, the name of procedure without quote should go in UPPER
	  for query system tables, thanks Jorge Andres Brugger, branch v2-0-beta
	- fix bug, not correctly generation of a mistake, for install OdbcJdbc,
	  thanks Jorge Andres Brugger, branch v2-0-beta
        - fix bug, is added check of a name database on NULL pointer, 
	  branch v2-0-beta
	- fix bug, error convert SQLGetConnectOption(SQL_ATTR_CURRENT_CATALOG),
	  from multi byte string to wide byte string,  branch v2-0-beta
	- fix bug, for connection § server it is necessary to specify
	  USER and PASSWORD let them even them are not present,
	  thanks Werner F. Bruhin, branch v2-0-beta


129)	- current BUILDNUM_VERSION set 129 ( 23 Mar 2006 )
	- added extend for processing field schema for ODBC API(SQLTables,
	  SQLProcedures,ext),   branch v2-0-beta

	   In DSN to added new properties:
  
	"Set null field SCHEMA" or connect string USESCHEMA=0;(default)
	 Examples:
	  from:
	       select COUNTRY,CURRENCY from COUNTRY
	 to server 
	       select COUNTRY,CURRENCY from COUNTRY

	"Remove SCHEMA from SQL query" or connect string USESCHEMA=1;
	 Examples:
	  from:
	       select SYSDBA.COUNTRY,SYSDBA.CURRENCY from SYSDBA.COUNTRY
	 to server 
	       select COUNTRY,CURRENCY from COUNTRY


	"Use full SCHEMA" or connect string USESCHEMA=2;
	 Examples:
	  from:
	       select SYSDBA.COUNTRY,SYSDBA.CURRENCY from SYSDBA.COUNTRY
	 to server 
	       select SYSDBA.COUNTRY,SYSDBA.CURRENCY from SYSDBA.COUNTRY

	- fixed bug, from added processing field schema for ODBC API(SQLTables),
	  branch v2-0-beta


128)	- current BUILDNUM_VERSION set 128 ( 17 Mar 2006 )
	- added processing field schema for ODBC API(SQLTables,SQLProcedures,ext)
	  thanks Michael Vitale,  branch v2-0-beta
	- fixed bug, writes beyond the array limits,  thanks David Vasconcelos,
	  branch v2-0-beta
	- fixed bug, convert from system VARCHAR to CHAR
	  thanks Lou Feliz, branch v2-0-beta


127)	- current BUILDNUM_VERSION set 127 ( 8 Feb 2006 )
	- fixed bug, convert from NUMERIC to (BIGINT,SHORT,LONG,NUMERIC)
	  thanks Richard Wesley, branch v2-0-beta


126)	- current BUILDNUM_VERSION set 126 ( 22 Jan 2006 )
	- fix bug, the definition of property SQL_CA_SS_COLUMN_KEY was missed,
	  for reception of the information about an belonging of a field to a primary key,
          thanks Anton Shidlyk, branch v2-0-beta
	- added new function isColumnPrimaryKey, for reception
	  of the information about an belonging of a field to a primary key,
	  branch v2-0-beta
	- added new source files, for reception of the information about an belonging
	  of a field to a primary key, branch v2-0-beta
	- fixed bugs item #1406061, was opened at 2006-01-14 22:26, though
	  should notice, that after a call SQLSetStmtAttr with SQL_ATTR_ROW_BIND_OFFSET_PTR,
	  there should be a call SQLSetStmtAttr with SQL_ATTR_ROW_BIND_TYPE,
	  thanks Farid Z - faridz, branch v2-0-beta


125)	- current BUILDNUM_VERSION set 125 ( 3 Jan 2006 )
	- for the old appendices in a line of return the password will be submitted
	  without enciphering, for the reason, that those appendices can not process
	  the password long more than 32 bytes, branch v2-0-beta
	- specification of key words, branch v2-0-beta
	- rollback to initial realization, it most correct, it is connected to switching of a mode
	  SQL_AUTOCOMMIT to OFF or ON, branch v2-0-beta
	- add help file for build BCC55(step by step), 
	  contributor Sasa Zeman,  branch v2-0-beta
	- add skin XP styles, branch v2-0-beta
	- is simplified assembly for BCC55,
	  thanks Sasa Zeman,  branch v2-0-beta
	- add check value time, time can not have negative meaning ,
	  thanks Sasa Zeman,  branch v2-0-beta
	- add new atributes for column(COLUMN_HIDDEN, COLUMN_KEY), this property
	  take from ODBCSS.H,purpose: many App ask these attributes and
	  OdbcJdbc spends a lot of time for generation of unnecessary mistakes,
	  branch v2-0-beta
	- fix my bug, sorry, it is connected to switching of a mode
    	  SQL_AUTOCOMMIT to OFF or ON, branch v2-0-beta

124)	- current BUILDNUM_VERSION set 124 ( 18 Sep 2005 )
	- fix bug, at performance TwoPhase commit or rollback, was not cleaned
	  transactionPending, branch v2-0-beta
	- opportunity is changed, delete XOLEHLP.LIB and added load dynamic XOLEHLP.DLL,
	  (it's from a series MsTDS),branch v2-0-beta
	- fix bug, the name keyword RECORD_VERSION is not correctly specified,
	  branch v2-0-beta
	- added, forbid all changes on SYSDBA user,  branch v2-0-beta
	- fix bug, for SQLExtendedFetch error length for string fields,
	  thanks Dmitry Yemanov,  branch v2-0-beta
	- fix bug, added validate field password and ignore password where only
	  spase symbols,  thanks Sasa Zeman,  branch v2-0-beta
	- fix bug, before modify user properties is missed clearing a field password,
	  thanks Sasa Zeman,  branch v2-0-beta
	- added getInfoUsers if the first click tab Users,
	  branch v2-0-beta

123)	- current BUILDNUM_VERSION set 123 ( 5 Aug 2005 )
	- added convert type from char(varchar) to binary(App),
	  branch v2-0-beta
	- added small hack, for success full work from MsOffice 2002 and later,
	  branch v2-0-beta
	- fix bug, the opportunity is added to use the description of types of time
	  ODBC 2.0 from ODBC 3.0 
	- added autoupdate list users after modify,  branch v2-0-beta
	- fix bug, logic error, Is mixed identifiers and addresses of variable,
	  branch v2-0-beta
	- fix bug, when load blob to field and it's single query,
	  thanks Sasa Zeman,  branch v2-0-beta
	- added new buildkey(-D_WIN32_IE=0x0400 ) for build from Dev-C++(MinGW),
	  branch v2-0-beta
	- added new source files(Users manager) for build from MsVC7,
	  branch v2-0-beta
	- added new source files(Users manager) for build from MsVC6,
	  branch v2-0-beta
	- added new source files(Users manager) for build from Dev-C++(MinGW),
	  branch v2-0-beta
	- fix warning, for compatibility MinGW, branch v2-0-beta
	- added new source files(Users manager) for build from makefile,
          branch v2-0-beta
	- load next part source for use service Fb, users manager for Win,
	  branch v2-0-beta
	- fix bug, added end local transaction,  branch v2-0-beta
	- fix bug, execute hard commit if the changed options SQL_ATTR_AUTOCOMMIT,
	  branch v2-0-beta

122)	- current BUILDNUM_VERSION set 122 ( 16 Jun 2005 )
	- extend check error from execute service, branch v2-0-beta
	- fix bug, memory leak(not call close() for break resultset),
          thanks RobertoA, branch v2-0-beta
	- deleted field DESCRIPTION from output string connection, according 
	  to the specification ODBC, branch v2-0-beta
	- fix bug, sorry, has deviated a theme, restored work button "Test connection",
	  branch v2-0-beta

121)	- current BUILDNUM_VERSION set 121 ( 15 Jun 2005 )
	- changed rules for createDatabase from SQLConfigDataSource, branch v2-0-beta
	- added check load client liblary from call createDatabase,  branch v2-0-beta
	- added new source files for build from MsVC7,  branch v2-0-beta
	- added new source files for build from MsVC6,  branch v2-0-beta
	- added new source files for build from Dev-C++(MinGW),  branch v2-0-beta
	- load source for programming use service Fb, level SQLConfigDataSource,
	  branch v2-0-beta
	- fix bug, defined default value for service,  branch v2-0-beta
	- added new keyword DSN(BACKUP_DB,RESTORE_DB,REPAIR_DB,BACKUPFILE,LOGFILE), 
	  for programming use service Fb,  branch v2-0-beta

120)	- current BUILDNUM_VERSION set 120 ( 12 Jun 2005 )
	- added system lib files for build OdbcJdbcSetup.dll,  branch v2-0-beta
	- added new files for service statistics(Win),  branch v2-0-beta
	- added new portion source for service(Win), it's realized backup, restore, statistics
	  and part repair,  branch v2-0-beta
	- added new source files for build from makefile,  branch v2-0-beta
	- added new identifier for control services,  branch v2-0-beta
	- add new message for translate button "Service", branch v2-0-beta
	- added new source files for executed services Firebird from ODBC (Win version),
	  branch v2-0-beta

119)	- current BUILDNUM_VERSION set 119 ( 4 Jun 2005 )
	- fix bug, has missed replacement of the operator for generation of a mistake,
	  branch v2-0-beta
	- add redefined convert functions for multibyte string for connection,
	  branch v2-0-beta

118)	- current BUILDNUM_VERSION set 118 ( 2 Jun 2005 )
	- add minimal schema writing to log file , branch v2-0-beta
	- extend select error message for open database , branch v2-0-beta
	- add new message for display error("Open FDB failed"), branch v2-0-beta
	- small change for hook SQLException from IscDbc level,
	  for compatibility gcc 2.95 - 4.0, branch v2-0-beta
	- moving position button "Help" into Config DSN, branch v2-0-beta
	- fix bug, has missed ';' for DESCRIPTION
	- added new keyword DSN "Description", branch v2-0-beta

117)	- current BUILDNUM_VERSION set 117 ( 29 Maj 2005 )
	- fix bug, sorry,  not that has specified a key,
	  replaced SETUP_DBNAMEALWAYS to FLAG_DATABASEALWAYS
	  branch v2-0-beta
	- added new common key FLAG_DATABASEALWAYS
	- fix bug, change transfer errors for create DSN, now use standart ODBC
	- is established more rigid rules of use commitRetain, it' use only
	  if we is guaranteed we have active open cursor
	- add new entry point DllInstall, branch v2-0-beta
	- replaced #ifdef diff OS to common define, branch v2-0-beta
	- added common define for load share library(Win,Lin), branch v2-0-beta
	- added check entry key "characterset" for connection, branch v2-0-beta
	- replaced local BUILD_KEY to common, branch v2-0-beta
	- add new entry point createServices  for IscDbc interface, branch v2-0-beta
	- replace use "Test Connect" with new class CServiceClient, branch v2-0-beta
	- add new message for display error, branch v2-0-beta
	- add new files for build from Dev-C++(MinGW), branch v2-0-beta
	- add new key KEY_DSN_CREATE_DB for use from SQLConfigDataSource,
	  branch v2-0-beta
	- add new files for services(backup,restore Db), branch v2-0-beta
	- add entry point DllInstall for BCC, branch v2-0-beta
	- add entry point DllInstall for MsVC, branch v2-0-beta
	- add entry point DllInstall for MinGW, branch v2-0-beta
	- prepared for realized new entry DllInstall and ConfigTranslator,
	  branch v2-0-beta

116)	- current BUILDNUM_VERSION set 116 ( 8 Maj 2005 )
	- fix bug, the getColumnName should return only name not alias, branch v2-0-beta
	- fix bug, delete eternal cycle for call getColumnLabel 
	  from class IscResultSetMetaData, branch v2-0-beta
	- exclude THROW if the cursor already closed or not assigned, branch v2-0-beta
	- add new property isActiveNone() for statement, branch v2-0-beta
	- fix bug, repeat use hStmt and change cursor name, branch v2-0-beta

115)	- current BUILDNUM_VERSION set 115 ( 27 Apr 2005 )
	- fix bug, the search of a key word is improved at performance sqlDriverConnect,
	  branch v2-0-beta
	- fix bug,replace depend OS code, thank David Vasconcelos,
	  branch v2-0-beta
	- fix bug, maxLength sometimes accepts meaning 0, branch v2-0-beta

114)	- current BUILDNUM_VERSION set 114 ( 21 Apr 2005 )
	- fix bug, Fb server always wants UPPER name role, branch v2-0-beta
	- fix bug, return filed type for charset not ASCII, branch v2-0-beta
	- fix bug, return length field and size filed for charset not ASCII,
	  branch v2-0-beta
	- small speed optimisation, for check type procedure, branch v2-0-beta
	- load source for use fbintl library for level connection, branch v2-0-beta
	- fix bug, set length string to '\0' if not error message, branch v2-0-beta
	- add transfer charsetId, from IscDbc to OdbcJdbc level, branch v2-0-beta
	- add extend option, for calculate size output buffer(internal UNICODE_FSS),
	  branch v2-0-beta
	- specify the size getColumnDisplaySize for multibyte string,
	  branch v2-0-beta

113)	- current BUILDNUM_VERSION set 113 ( 19 Apr 2005 )
	- next load source for use fbintl library , branch v2-0-beta

112)	- current BUILDNUM_VERSION set 112 ( 17 Apr 2005 )
	- add new file for compile MultibyteConvert.cpp from makefile,
	  level IscDbc, branch v2-0-beta
	- load source for use fbintl library, level OdbcJdbc , branch v2-0-beta
	- load source for use fbintl library, level IscDbc , branch v2-0-beta
	- bad name, replace getAdresFunction to getAdressFunction, branch v2-0-beta
	- fix bug, not output error message from TRY-CATCH for execute
	  'CREATE DATABASE, branch v2-0-beta

111)	- current BUILDNUM_VERSION set 111 ( 10 Mar 2005 )
	- fix bug, convert (double)NUMERIC(15,2) to NUMERIC(18,2) App,
	  thanks William David Velasquez, branch v2-0-beta
	- fix bug, field precision should not be 0 for (double)NUMERIC(n,m), branch v2-0-beta

110)	- current BUILDNUM_VERSION set 110 ( 4 Mar 2005 )
	- fix bug, for outString necessary to add FILEDSN(SQLDriverConnect),
	  if it is on an input, thanks Robert Martin, branch v2-0-beta
	- check validate DSN is added, branch v2-0-beta
	- check validate pointer for work user events for user ODBC API is added , branch v2-0-beta
	- of sqlSetScrollOptions convert short to (int) to (void*) for compatibility with MinGw IDE Dev-Cpp is added,
	  branch v2-0-beta
	- new links files for user events build MinGw IDE Dev-Cpp is added, branch v2-0-beta

109)	- current BUILDNUM_VERSION set 109 ( 22 Feb 2005 )
	- interface User Events for user ODBC API is added , branch v2-0-beta
	- small speed optimizations and context userData is added , branch v2-0-beta
	- small speed optimizations for the class ParametersEvents , branch v2-0-beta
	- load source for user events, level IscDbc , branch v2-0-beta
	- the enter point for isc_event... is added, branch v2-0-beta
	- fix discrepancy, check validate pointer connection is added, branch v2-0-beta
	- use define for digits switch (SQL_FBGETSTMT_PLAN,
	   SQL_FBGETSTMT_TYPE, SQL_FBGETSTMT_INFO), branch v2-0-beta
	- the work with binary buffer from SQLSetConnectAttrW is added, branch v2-0-beta
	- the work with binary buffer from SQLGetStmtAttrW is added, branch v2-0-beta
	- removed duplicate, it's not used, used from APD and ARD
	  branch v2-0-beta
	- set ON option Row-Wise Binding for parameters binding,
	  branch v2-0-beta
	- fix discrepancy, for definition of length of entering parameter, class ConvertingString,
	  branch v2-0-beta

108)	- current BUILDNUM_VERSION set 108 ( 13 Feb 2005 )
	- is improved navigation for static cursor, rules for SQL_FETCH_BOOKMARK(ODBC2.0) is added,
	  branch v2-0-beta
	- is improved navigation for static cursor, rules for SQL_FETCH_RELATIVE is added,
	  branch v2-0-beta
	- the new statys RowSet is added, for checked statysPositionRow, branch v2-0-beta

107)	- current BUILDNUM_VERSION set 107 ( 8 Feb 2005 )
	- fix bug, SQLExtendedFetch() did not remember last position of record after reading
	- fix bug, SQLDisconnect() had not in the beginning  clearErrors(); , branch v2-0-beta
	- fix my bug, sorry, not correctly has specified the description transactions 
	  SQL_TXN_READ_UNCOMMITTED and SQL_TXN_READ_COMMITTED for option NOWAIT
	  thank Dmitriy Nikitinskiy, branch v2-0-beta
	- the define SQL_DIAG_CONNECTION_NAME and SQL_DIAG_SERVER_NAME
	  for SQLGetDiagField is added, branch v2-0-beta
	- the link ODBC<->SQL error(42000,40001,42S02) is added, branch v2-0-beta
	- the link entry codes ODBC<->SQL error is added, branch v2-0-beta
	- the syntactic control of definition transaction is added, branch v2-0-beta
	- fix bug, cursor name begins with the letters SQL_CUR  according to the specification,
	  branch v2-0-beta
	- fix bug, for SQLGetCursorNameW should be return length in characters,
	  it works, however contradicts the specification, branch v2-0-beta
	- translate type SQL_C_BIT into type Firebird is added, branch v2-0-beta
	- set rigth size for type SQL_C_BIT, branch v2-0-beta
	- extend comments of type SQL_C_BOOKMARK and SQL_C_VARBOOKMARK is added,
	  branch v2-0-beta

106)	- current BUILDNUM_VERSION set 106 ( 30 Jan 2005 )
	- fix bug, for ODBC get SQL error, not get Fb error, branch v2-0-beta
	- added skeleton for define ODBC error from SQL error, branch v2-0-beta
	- is executed auditing set ODBC_VERSION_NUMBER, branch v2-0-beta
	- load source, for future use type INTERVAL, branch v2-0-beta
	- fix bug, convert DateTime to SQL_WCHAR, branch v2-0-beta
	- fix discrepancy, version build

105)	- current BUILDNUM_VERSION set 105 ( 17 Jan 2005 )
	- convert float, double, date, time, timestamp to SQL_WCHAR is added,
	  branch v2-0-beta
	- remove convertFloatToString from class OdbcConvert to template class,
	  branch v2-0-beta

104)	- current BUILDNUM_VERSION set 104 ( 16 Jan 2005 )
	- fix bug, check count input/output param for SP where 0 input/output param,
	  thank Ain Valtin, branch v2-0-beta

103)	- current BUILDNUM_VERSION set 103 ( 16 Jan 2005 )
	- load source for full-function SQL Transaction Manager, branch v2-0-beta
	- load source for type SQL_BOOLEAN, branch v2-0-beta

102)	- current BUILDNUM_VERSION set 102 ( 14 Jan 2005 )
	- is executed auditing types DATE,TIME,TIMESTAMP for ODBC 2.0,  branch v2-0-beta
	- remove field(struct TblInfoItem::name) for DEBUG from RELEASE build,
	  branch v2-0-beta
	- load full list ODBC error and link Fb error,  branch v2-0-beta
	- load source for type INTERVAL,  branch v2-0-beta

101)	- current BUILDNUM_VERSION set 101 ( 9 Jan 2005 )
	- method sqlGetTypeInfo for maintenance of compatibility with ODBC 2.0 is improved,
	  branch v2-0-beta
	- transfer scalar type INTERVAL to server is added ,  branch v2-0-beta
	- check string date for send to server is added ,  branch v2-0-beta

100)	- current BUILDNUM_VERSION set 100 ( 23 Dec 2004 )
	- added skeleton for SQLBulkOperations,  branch v2-0-beta
	- fix bug, deprecated SQLSetScrollOptions was not correctly processed,
	  thank Ain Valtin, branch v2-0-beta
	- the description macros is born in include for modules Main.cpp and MainUnicode.cpp,
	  branch v2-0-beta
	- for compatibility unicode and Linux, add #include <wchar.h>,
	  branch v2-0-beta
	- for compatibility unicode and Linux, add wcstombs(mbstowcs) and #ifdef _WIN32,
	  branch v2-0-beta
	- for compatibility, function Enlist different for VC6 and VC7 and later, branch v2-0-beta
	- fix bug, removal spase in connection string, after '=' and before Value, branch v2-0-beta
	- for compatibility, calculate field(real,double) from database to App
	  it's NUMERIC not BIGINT, branch v2-0-beta
	- add processing  attribute SinglePhase for MS DTC, branch v2-0-beta
	- add block try{}catch for MS DTC , branch v2-0-beta
	- Humm, it's very difficult to tell by a simple word 
	  the communication between Firebird server and COM interface is executed , branch v2-0-beta
	- add atribute enlistConnect(OdbcConnection) for check enlist transaction MS DTS, branch v2-0-beta
	- small optimized for end while, branch v2-0-beta
	- realized method IscConnection::prepareTransaction() ,  branch v2-0-beta
	- change '\\' to '/' for file delDependMT.bat ,  branch v2-0-beta
	- the description isc_prepare_transaction2 for load from FBCLIENT is added,
	  branch v2-0-beta
	- fix bug, entry point DllRegisterServer should be PRIVATE and add  xolehlp.lib for link,
	  branch v2-0-beta
	- fix bug, added folder Headers for find H file for compile,  branch v2-0-beta
	  branch v2-0-beta
	- fix bug, at performance of inquiry about length of a line length came back
	  as for ASCII( SQLGetDiagRecW ),  branch v2-0-beta
	- change of the message 335544344 from "I/O error, file already exists"
	  to "File Database is used by another process", branch v2-0-beta
	- fix bug, correct length for type VARCHAR of call catalog function, level IscDbc,
	  branch v2-0-beta
	- the behaviour of function next() is restored, according to JDBC interface, branch v2-0-beta
	- add new opportunity, CREATE DATABASE from OdbcJdbc, branch v2-0-beta
	- add standart include for compatibility unixodbc-2.2.10,
	  thanks Treeve Jelbert, branch v2-0-beta
	- load source for MS TDC,  branch v2-0-beta
	- fix bug, for system tables into ODBC remarks it's varchar, not blob, branch v2-0-beta
	- add  try - catch for rollbackRetaining, branch v2-0-beta
	- fix technical bug, has mixed types int and short, branch v2-0-beta
	- the replacement of a unsuccessful line, now it approaches for Linux and Windows,
	  it is necessary for simultaneous assembly
	    one connect one thread,
	    one connect many thread,
	  build for OdbcJdbc and OdbcJdbcMT, branch v2-0-beta
	- add build for OdbcJdbcMT(makefile VC6,VC7,MinGW,BCC55), branch v2-0-beta
	- add extend version setup, for OdbcJdbc and OdbcJdbcMT, branch v2-0-beta
	- fix bug, not delete DSN at change of a name DSN, branch v2-0-beta
	- extended macros IS_END_TOKEN, branch v2-0-beta
	- add new type ODBC, JDBC_VARBINARY and ( JDBC_FLOAT it's == JDBC_DOUBLE )
	  for of compatibility with old App, branch v2-0-beta
	- unification of parameters, arrangement of parameters in one place,
	  for create DSN and install, branch v2-0-beta
	- add new keyword SQL_ATTR_ANSI_APP and SQL_ATTR_CONNECTION_POOLING
	  for Microsoft TDC, branch v2-0-beta
	- preparation for transition from transaction to one connect,
	  for transaction to one statement, branch v2-0-beta
	- define DRIVER_LOCKED_LEVEL now will be defined in makefile,
	  for Firebird >= 2.0 without Multithread(OdbcJdbc.dll) for connect and 
	  for Firebird < 2.0 with Multithread(OdbcJdbcMT.dll) for connect, branch v2-0-beta
	- remove define fcvt, gcvt, it superfluous and not use, branch v2-0-beta
	- remove field rowArraySize, it superfluous, branch v2-0-beta
	- prepare 64 bit support, for SQLColAttribute, branch v2-0-beta
	- load source for Unicode,  branch v2-0-beta
	- added new type JDBC_WCHAR,  branch v2-0-beta

	Start v2-0-beta ( 18 Oct 2004 )
